- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
API Version : 2026-10-01-preview
Retrieves a list of AliasNetworkEndpoints available to the specified project.
HTTP request
GET https://compute.googleapis.com/compute/v1/projects/{project}/zones/{zone}/aliasNetworkEndpoints?$apiVersion=2026-10-01-preview The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
project |
Required. Project ID for this request. |
zone |
Required. Name of the zone of this request. |
Query parameters
| Parameters | |
|---|---|
maxResults |
The maximum number of results per page that should be returned. If the number of available results is larger than |
pageToken |
Specifies a page token to use. Set |
filter |
A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either For example, if you are filtering Compute Engine instances, you can exclude instances named The You can also filter nested fields. For example, you could specify To filter on multiple expressions, provide each separate expression within parentheses. For example: By default, each expression is an If you want to use a regular expression, use the
The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name "instance", you would use You cannot combine constraints on multiple fields using regular expressions. |
orderBy |
Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using Currently, only sorting by |
Request body
The request body must be empty.
Response body
Response message for AliasNetworkEndpoints.List.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "id": string, "items": [ { "id": string, "name": string, "description": string, "aliases": { string: { "ipAddress": string, "ipVersion": enum, "subnetworkRangeNames": [ string ], "effectiveIpAddress": string, "effectiveSubnetworkRangeName": string }, ... }, "host": { "instance": string }, "subnetwork": string, "securityTagInheritance": enum, "labels": { string: string, ... }, "annotations": { string: string, ... }, "selfLink": string, "creationTimestamp": string, "updateTime": string, "status": { "state": enum, "network": string } } ], "nextPageToken": string, "selfLink": string, "warning": { "code": enum, "message": string, "data": [ { "key": string, "value": string } ] }, "etag": string, "unreachables": [ string ] } |
| Fields | |
|---|---|
id |
Output only. Unique identifier for the resource; defined by the server. |
items[] |
A list of AliasNetworkEndpoint resources. |
items[].id |
Output only. The unique identifier for the resource. This identifier is defined by the server. |
items[].name |
Identifier. Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. |
items[].description |
Optional. An optional description of this resource. Provide this field when you create the resource. |
items[].aliases[] |
Required. The map of network aliases allocated for the AliasNetworkEndpoint. This map is keyed with user-provided alias names. |
items[].aliases[].ipAddress |
Input only. The IP address of the network endpoint. If specified, the server performs a validation check for uniqueness. If the field is omitted, the system automatically allocates an IP and populates the effectiveIpAddress field. |
items[].aliases[].ipVersion |
Required. The IP version of the IP. It is IPv4 or IPv6. |
items[].aliases[].subnetworkRangeNames[] |
Input only. Defines candidate secondary ranges for allocating the alias IPs. If it is empty, the IP would be allocated from the primary range of the subnetwork. This field is INPUT_ONLY and used only during resource creation, hence a repeated field is acceptable as per AIP-2825. It is not mutable. |
items[].aliases[].effectiveIpAddress |
Output only. The actual IP address allocated by the system. |
items[].aliases[].effectiveSubnetworkRangeName |
Output only. The actual secondary range used for allocation. |
items[].host |
Required. The host that the alias network endpoint is bound to. |
items[].host.instance |
Required. The URL to the instance that this alias network endpoint is bound to. |
items[].subnetwork |
Required. The URL of the subnetwork that this alias network endpoint belongs to. |
items[].securityTagInheritance |
Optional. The security tag inheritance setting for the AliasNetworkEndpoint. |
items[].labels |
Optional. The labels map for the AliasNetworkEndpoint. |
items[].annotations |
Optional. The annotations map for the AliasNetworkEndpoint. Keys and values must follow Kubernetes limits. Keys must be a maximum of 253 characters. Keys should be dot-namespaced, following the Kubernetes annotation key format: |
items[].selfLink |
Output only. Server-defined URL for the resource. |
items[].creationTimestamp |
Output only. Creation timestamp in RFC3339 text format. |
items[].updateTime |
Output only. Update timestamp in RFC3339 text format. |
items[].status |
Output only. Current status of the alias network endpoint. |
items[].status.state |
Output only. The state of the alias network endpoint. |
items[].status.network |
Output only. The URL of the network that this alias network endpoint belongs to. |
nextPageToken |
Output only. This token allows you to get the next page of results for list requests. If the number of results is larger than |
selfLink |
Output only. Server-defined URL for this resource. |
warning |
Output only. Informational warning message. |
warning.code |
Output only. A warning code, if applicable. For example, Compute Engine returns |
warning.message |
Output only. A human-readable description of the warning code. |
warning.data[] |
Output only. Metadata about this warning in "data": [ { "key": "scope", "value": "zones/us-east1-d" }] |
warning.data[].key |
Output only. A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be |
warning.data[].value |
Output only. A warning data value corresponding to the key. |
etag |
ETag of the resource list. |
unreachables[] |
Output only. Unreachable resources. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/compute.readonlyhttps://www.googleapis.com/auth/computehttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.